#ifndef BCODETERMINALPROTOCOLBM_H
#define BCODETERMINALPROTOCOLBM_H

#include <QObject>

#include "common/utils/QByteUtil.h"
#include "DeviceStatusProtocolBase.h"
#include "dto/BCodeTerminalStatusDto.h"

class BCodeTerminalProtocolBM : public DeviceStatusProtocolBase
{
    Q_OBJECT
public:
    explicit BCodeTerminalProtocolBM(QObject *parent = nullptr);
    ~BCodeTerminalProtocolBM();

    // 解析数据
    bool parseDeviceFrameData(QByteArray rawData, DeviceFrameBaseDto * frameData, int frameType);
    DeviceFrameBaseDto * frameFactory(int frameType);

    //
    QList<QByteArray> extractFrameList(QByteArray rawData);

    // 检测帧格式，帧头帧尾
    int checkFrame(QByteArray rawData);
};

#endif // BCODETERMINALPROTOCOLBM_H
